PLplot: PlPlotter Struct Reference

PLplot 5.15.0

Public Attributes | List of all members
PlPlotter Struct Reference

## Public Attributes
Tk_Window | tkwin
Display * | display
Tcl_Interp * | interp
Tcl_Command | widgetCmd
Tk_3DBorder | border
int | borderWidth
int | relief
int | width
int | height
Tk_Cursor | cursor
int | flags
int | tkwin_initted
PLStream * | pls
PLINT | ipls
PLINT | ipls_save
PLRDev * | plr
char * | plpr_cmd
int | active_plot
int | isActive
PLDisplay | pldis
int | prevWidth
int | prevHeight
char * | SaveFnam
const char ** | devDesc
const char ** | devName
GC | xorGC
XPoint | pts [5]
int | continue_draw
Tk_Cursor | xhair_cursor
PLFLT | xl
PLFLT | xr
PLFLT | yl
PLFLT | yr
char * | xScrollCmd
char * | yScrollCmd
char * | bopCmd
char * | eopCmd
int | xhairs
int | drawing_xhairs
XPoint | xhair_x [2]
XPoint | xhair_y [2]
int | rband
int | drawing_rband
XPoint | rband_pt [2]
int | double_buffer

## Detailed Description

Definition at line 100 of file plplotter.c.

## Member Data Documentation

## ◆ active_plot

int PlPlotter::active_plot

Definition at line 140 of file plplotter.c.

## ◆ bopCmd

char* PlPlotter::bopCmd

Definition at line 174 of file plplotter.c.

## ◆ border

Tk_3DBorder PlPlotter::border

Definition at line 115 of file plplotter.c.

## ◆ borderWidth

int PlPlotter::borderWidth

Definition at line 117 of file plplotter.c.

## ◆ continue_draw

int PlPlotter::continue_draw

Definition at line 162 of file plplotter.c.

## ◆ cursor

Tk_Cursor PlPlotter::cursor

Definition at line 123 of file plplotter.c.

## ◆ devDesc

const char** PlPlotter::devDesc

Definition at line 153 of file plplotter.c.

## ◆ devName

const char** PlPlotter::devName

Definition at line 155 of file plplotter.c.

## ◆ display

Display* PlPlotter::display

Definition at line 108 of file plplotter.c.

## ◆ double_buffer

int PlPlotter::double_buffer

Definition at line 189 of file plplotter.c.

## ◆ drawing_rband

int PlPlotter::drawing_rband

Definition at line 187 of file plplotter.c.

## ◆ drawing_xhairs

int PlPlotter::drawing_xhairs

Definition at line 180 of file plplotter.c.

## ◆ eopCmd

char* PlPlotter::eopCmd

Definition at line 175 of file plplotter.c.

## ◆ flags

int PlPlotter::flags

Definition at line 124 of file plplotter.c.

## ◆ height

int PlPlotter::height

Definition at line 121 of file plplotter.c.

## ◆ interp

Tcl_Interp* PlPlotter::interp

Definition at line 111 of file plplotter.c.

## ◆ ipls

PLINT PlPlotter::ipls

Definition at line 133 of file plplotter.c.

## ◆ ipls_save

PLINT PlPlotter::ipls_save

Definition at line 134 of file plplotter.c.

## ◆ isActive

int PlPlotter::isActive

Definition at line 141 of file plplotter.c.

## ◆ pldis

PLDisplay PlPlotter::pldis

Definition at line 145 of file plplotter.c.

## ◆ plpr_cmd

char* PlPlotter::plpr_cmd

Definition at line 137 of file plplotter.c.

## ◆ plr

PLRDev* PlPlotter::plr

Definition at line 136 of file plplotter.c.

## ◆ pls

PLStream* PlPlotter::pls

Definition at line 132 of file plplotter.c.

## ◆ prevHeight

int PlPlotter::prevHeight

Definition at line 147 of file plplotter.c.

## ◆ prevWidth

int PlPlotter::prevWidth

Definition at line 146 of file plplotter.c.

## ◆ pts

XPoint PlPlotter::pts[5]

Definition at line 161 of file plplotter.c.

## ◆ rband

int PlPlotter::rband

Definition at line 186 of file plplotter.c.

## ◆ rband_pt

XPoint PlPlotter::rband_pt[2]

Definition at line 188 of file plplotter.c.

## ◆ relief

int PlPlotter::relief

Definition at line 118 of file plplotter.c.

## ◆ SaveFnam

char* PlPlotter::SaveFnam

Definition at line 151 of file plplotter.c.

## ◆ tkwin

Tk_Window PlPlotter::tkwin

Definition at line 104 of file plplotter.c.

## ◆ tkwin_initted

int PlPlotter::tkwin_initted

Definition at line 131 of file plplotter.c.

## ◆ widgetCmd

Tcl_Command PlPlotter::widgetCmd

Definition at line 114 of file plplotter.c.

## ◆ width

int PlPlotter::width

Definition at line 119 of file plplotter.c.

## ◆ xhair_cursor

Tk_Cursor PlPlotter::xhair_cursor

Definition at line 163 of file plplotter.c.

## ◆ xhair_x

XPoint PlPlotter::xhair_x[2]

Definition at line 181 of file plplotter.c.

## ◆ xhair_y

XPoint PlPlotter::xhair_y[2]

Definition at line 182 of file plplotter.c.

## ◆ xhairs

int PlPlotter::xhairs

Definition at line 179 of file plplotter.c.

## ◆ xl

PLFLT PlPlotter::xl

Definition at line 164 of file plplotter.c.

## ◆ xorGC

GC PlPlotter::xorGC

Definition at line 160 of file plplotter.c.

## ◆ xr

PLFLT PlPlotter::xr

Definition at line 164 of file plplotter.c.

## ◆ xScrollCmd

char* PlPlotter::xScrollCmd

Definition at line 165 of file plplotter.c.

## ◆ yl

PLFLT PlPlotter::yl

Definition at line 164 of file plplotter.c.

## ◆ yr

PLFLT PlPlotter::yr

Definition at line 164 of file plplotter.c.

## ◆ yScrollCmd

char* PlPlotter::yScrollCmd

Definition at line 168 of file plplotter.c.

The documentation for this struct was generated from the following file:

- plplotter.c